## fastfetch 2.39.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12.0) # target_link_libraries with OBJECT libs & project homepage url

project(fastfetch
    VERSION 2.39.1
    LANGUAGES C
    DESCRIPTION "Fast neofetch-like system information tool"
    HOMEPAGE_URL "https://github.com/fastfetch-cli/fastfetch"
)

set(PROJECT_LICENSE "MIT license")

###################
# Target Platform #
###################
if(ANDROID)
    set(LINUX FALSE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
    set(LINUX TRUE CACHE BOOL "..." FORCE) # LINUX means GNU/Linux, not just the kernel
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "FreeBSD")
    set(FreeBSD TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "OpenBSD")
    set(OpenBSD TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "MidnightBSD")
    set(FreeBSD TRUE CACHE BOOL "..." FORCE)
    set(MidnightBSD TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "NetBSD")
    set(NetBSD TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "DragonFly")
    set(FreeBSD TRUE CACHE BOOL "..." FORCE)
    set(DragonFly TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "SunOS")
    set(SunOS TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "Haiku")
    set(Haiku TRUE CACHE BOOL "..." FORCE)
elseif(NOT APPLE AND NOT WIN32)
    message(FATAL_ERROR "Unsupported platform: ${CMAKE_SYSTEM_NAME}")
endif()

#############################
# Compile time dependencies #
#############################

set(THREADS_PREFER_PTHREAD_FLAG NOT WIN32)
find_package(Threads)

find_package(PkgConfig)
if(NOT PKG_CONFIG_FOUND)
    message(WARNING "pkg-config not found, library detection might be limited")
endif()

include(CheckIncludeFile)

#####################
# Configure options #
#####################

include(CMakeDependentOption)

cmake_dependent_option(ENABLE_VULKAN "Enable vulkan" ON "LINUX OR APPLE OR FreeBSD OR OpenBSD OR NetBSD OR WIN32 OR ANDROID OR SunOS OR Haiku" OFF)
cmake_dependent_option(ENABLE_WAYLAND "Enable wayland-client" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD" OFF)
cmake_dependent_option(ENABLE_XCB_RANDR "Enable xcb-randr" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_XRANDR "Enable xrandr" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DRM "Enable libdrm" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DRM_AMDGPU "Enable libdrm_amdgpu" ON "LINUX" OFF)
cmake_dependent_option(ENABLE_GIO "Enable gio-2.0" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DCONF "Enable dconf" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DBUS "Enable dbus-1" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS OR Haiku" OFF)
cmake_dependent_option(ENABLE_XFCONF "Enable libxfconf-0" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_SQLITE3 "Enable sqlite3" ON "LINUX OR FreeBSD OR APPLE OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_RPM "Enable rpm" ON "LINUX" OFF)
cmake_dependent_option(ENABLE_IMAGEMAGICK7 "Enable imagemagick 7" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR APPLE OR WIN32 OR SunOS OR Haiku" OFF)
cmake_dependent_option(ENABLE_IMAGEMAGICK6 "Enable imagemagick 6" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR APPLE OR SunOS" OFF)
cmake_dependent_option(ENABLE_CHAFA "Enable chafa" ON "ENABLE_IMAGEMAGICK6 OR ENABLE_IMAGEMAGICK7" OFF)
cmake_dependent_option(ENABLE_ZLIB "Enable zlib" ON "ENABLE_IMAGEMAGICK6 OR ENABLE_IMAGEMAGICK7" OFF)
cmake_dependent_option(ENABLE_EGL "Enable egl" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR WIN32 OR SunOS OR Haiku" OFF)
cmake_dependent_option(ENABLE_GLX "Enable glx" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR SunOS" OFF)
cmake_dependent_option(ENABLE_OPENCL "Enable opencl" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR WIN32 OR ANDROID OR SunOS OR Haiku" OFF)
cmake_dependent_option(ENABLE_FREETYPE "Enable freetype" ON "ANDROID" OFF)
cmake_dependent_option(ENABLE_PULSE "Enable pulse" ON "LINUX OR SunOS" OFF)
cmake_dependent_option(ENABLE_DDCUTIL "Enable ddcutil" ON "LINUX" OFF)
cmake_dependent_option(ENABLE_DIRECTX_HEADERS "Enable DirectX headers for WSL" ON "LINUX" OFF)
cmake_dependent_option(ENABLE_ELF "Enable libelf" ON "LINUX OR ANDROID OR DragonFly OR Haiku" OFF)
cmake_dependent_option(ENABLE_THREADS "Enable multithreading" ON "Threads_FOUND" OFF)
cmake_dependent_option(ENABLE_LIBZFS "Enable libzfs" ON "LINUX OR FreeBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_PCIACCESS "Enable libpciaccess" ON "NetBSD OR OpenBSD OR SunOS" OFF)

option(ENABLE_SYSTEM_YYJSON "Use system provided (instead of fastfetch embedded) yyjson library" OFF)
option(ENABLE_ASAN "Build fastfetch with ASAN (address sanitizer)" OFF)
option(ENABLE_LTO "Enable link-time optimization in release mode if supported" ON)
option(BUILD_FLASHFETCH "Build flashfetch" ON) # Also build the flashfetch binary
option(BUILD_TESTS "Build tests" OFF) # Also create test executables
option(SET_TWEAK "Add tweak to project version" ON) # This is set to off by github actions for release builds
option(IS_MUSL "Build with musl libc" OFF) # Used by Github Actions
option(INSTALL_LICENSE "Install license into /usr/share/licenses" ON)
option(ENABLE_EMBEDDED_PCIIDS "Embed pci.ids into fastfetch, requires `python`" OFF)
option(ENABLE_EMBEDDED_AMDGPUIDS "Embed amdgpu.ids into fastfetch, requires `python`" OFF)

set(BINARY_LINK_TYPE_OPTIONS dlopen dynamic static)
set(BINARY_LINK_TYPE dlopen CACHE STRING "How to link fastfetch")
set_property(CACHE BINARY_LINK_TYPE PROPERTY STRINGS ${BINARY_LINK_TYPE_OPTIONS})
if(NOT BINARY_LINK_TYPE IN_LIST BINARY_LINK_TYPE_OPTIONS)
    message(FATAL_ERROR "BINARY_LINK_TYPE must be one of ${BINARY_LINK_TYPE_OPTIONS}")
endif()

set(PACKAGE_MANAGERS AM APK BREW CHOCO DPKG EMERGE EOPKG FLATPAK GUIX LINGLONG LPKG LPKGBUILD MACPORTS NIX OPKG PACMAN PACSTALL PALUDIS PISI PKG PKGTOOL RPM SCOOP SNAP SORCERY WINGET XBPS)
foreach(package_manager ${PACKAGE_MANAGERS})
    if(package_manager STREQUAL "WINGET")
        option(PACKAGES_DISABLE_${package_manager} "Disable ${package_manager} package manager detection by default" ON)
    else()
        option(PACKAGES_DISABLE_${package_manager} "Disable ${package_manager} package manager detection by default" OFF)
    endif()
endforeach()

if (LINUX)
    set(CUSTOM_PCI_IDS_PATH "" CACHE STRING "Custom path to file pci.ids, defaults to `/usr/share/hwdata/pci.ids`")
    set(CUSTOM_AMDGPU_IDS_PATH "" CACHE STRING "Custom path to file amdgpu.ids, defaults to `/usr/share/libdrm/amdgpu.ids`")
    set(CUSTOM_OS_RELEASE_PATH "" CACHE STRING "Custom path to file os-release, defaults to `/etc/os-release`")
endif()

####################
# Compiler options #
####################

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif()

message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
if(ENABLE_THREADS)
    if(CMAKE_USE_WIN32_THREADS_INIT)
        message(STATUS "Threads type: Win32 thread")
    elseif(CMAKE_USE_PTHREADS_INIT)
        message(STATUS "Threads type: pthread")
    endif()
else()
    message(STATUS "Threads type: disabled")
endif()

set(WARNING_FLAGS "-Wall -Wextra -Wconversion -Werror=uninitialized -Werror=return-type -Werror=vla")

set(CMAKE_C_STANDARD 11)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARNING_FLAGS} -Werror=incompatible-pointer-types -Werror=implicit-function-declaration -Werror=int-conversion")

if(WIN32 OR Haiku OR ENABLE_DIRECTX_HEADERS)
    enable_language(CXX)
    set(CMAKE_CXX_STANDARD 17)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_FLAGS}")
endif()

if(WIN32)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--tsaware -Wl,--build-id -Wl,--subsystem,console:6.1,--major-os-version,6,--minor-os-version,1")
elseif(APPLE AND CMAKE_C_COMPILER_ID MATCHES "Clang")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fobjc-arc")
endif()

set(FASTFETCH_FLAGS_DEBUG "-fno-omit-frame-pointer")
if(ENABLE_ASAN)
    message(STATUS "Address sanitizer enabled (DEBUG only)")
    set(FASTFETCH_FLAGS_DEBUG "${FASTFETCH_FLAGS_DEBUG} -fsanitize=address")
endif()
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} ${FASTFETCH_FLAGS_DEBUG}")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} ${FASTFETCH_FLAGS_DEBUG} -fstack-protector-all -fno-delete-null-pointer-checks")
if(NOT WIN32)
    set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -rdynamic")
endif()

if(ENABLE_LTO AND NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
    message(STATUS "Enabling LTO")
    include(CheckIPOSupported)
    check_ipo_supported(RESULT IPO_SUPPORTED)
    if(IPO_SUPPORTED)
        set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
    endif()
endif()

#######################
# Target FS structure #
#######################

if(NOT TARGET_DIR_ROOT)
    if(NOT ANDROID)
        set(TARGET_DIR_ROOT "")
    else()
        set(TARGET_DIR_ROOT "/data/data/com.termux/files/usr")
    endif()
endif()

if(NOT TARGET_DIR_USR)
    if(NOT ANDROID)
        set(TARGET_DIR_USR "${TARGET_DIR_ROOT}/usr")
    else()
        set(TARGET_DIR_USR "${TARGET_DIR_ROOT}")
    endif()
endif()

if(NOT TARGET_DIR_HOME)
    if(APPLE)
        set(TARGET_DIR_HOME "${TARGET_DIR_ROOT}/Users")
    elseif(ANDROID)
        set(TARGET_DIR_HOME "/data/data/com.termux/files/home")
    else()
        set(TARGET_DIR_HOME "${TARGET_DIR_ROOT}/home")
    endif()
endif()

if(NOT TARGET_DIR_ETC)
    set(TARGET_DIR_ETC "${TARGET_DIR_ROOT}/etc")
endif()

message(STATUS "Target dirs: ROOT=\"${TARGET_DIR_ROOT}\" USR=\"${TARGET_DIR_USR}\" HOME=\"${TARGET_DIR_HOME}\" ETC=\"${TARGET_DIR_ETC}\"")

#https://cmake.org/cmake/help/latest/variable/CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT.html
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX "${TARGET_DIR_USR}" CACHE PATH "..." FORCE)
endif()

if(NOT CMAKE_INSTALL_SYSCONFDIR)
    set(CMAKE_INSTALL_SYSCONFDIR "${TARGET_DIR_ETC}" CACHE PATH "..." FORCE)
endif()

#################
# Tweak version #
#################

if (SET_TWEAK AND EXISTS "${CMAKE_SOURCE_DIR}/.git")
    execute_process(
        COMMAND git describe --tags
        WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
        OUTPUT_VARIABLE PROJECT_VERSION_GIT
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    string(REGEX MATCH "-[0-9]+" PROJECT_VERSION_TWEAK "${PROJECT_VERSION_GIT}")
endif()
if(PROJECT_VERSION_TWEAK)
    string(REGEX MATCH "[0-9]+" PROJECT_VERSION_TWEAK_NUM "${PROJECT_VERSION_TWEAK}")
else()
    set(PROJECT_VERSION_TWEAK_NUM 0)
endif()

#############
# Text data #
#############

function(fastfetch_encode_c_string STR OUTVAR)
    string(REGEX REPLACE "\n$" "" TEMP "${STR}")  # Remove trailing newline
    string(REPLACE "\\" "\\\\" TEMP "${TEMP}")    # Escape backslashes
    string(REPLACE "\n" "\\n" TEMP "${TEMP}")     # Replace newlines with \n
    string(REPLACE "\"" "\\\"" TEMP "${TEMP}")    # Replace quotes with \"
    set(${OUTVAR} "\"${TEMP}\"" PARENT_SCOPE)
endfunction(fastfetch_encode_c_string)

function(fastfetch_load_text FILENAME OUTVAR)
    file(READ "${FILENAME}" TEMP)
    fastfetch_encode_c_string("${TEMP}" TEMP)
    set(${OUTVAR} "${TEMP}" PARENT_SCOPE)
endfunction(fastfetch_load_text)

find_package(Python)
if(Python_FOUND)
    message(STATUS "Minifying 'help.json'")
    execute_process(COMMAND ${Python_EXECUTABLE} -c "import json,sys;json.dump(json.load(sys.stdin),sys.stdout,separators=(',',':'))"
                    INPUT_FILE "${CMAKE_CURRENT_SOURCE_DIR}/src/data/help.json"
                    OUTPUT_VARIABLE DATATEXT_JSON_HELP)
    if(DATATEXT_JSON_HELP STREQUAL "")
        message(ERROR "DATATEXT_JSON_HELP is empty, which should not happen!")
    endif()
else()
    message(WARNING "Python3 is not found, 'help.json' will not be minified")
    file(READ "src/data/help.json" DATATEXT_JSON_HELP)
endif()

=== debian/changelog ===
fastfetch (2.39.1+dfsg-1~mx23+1) mx; urgency=medium

  * New upstream version 2.39.10+dfsg

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 28 Mar 2025 13:52:00 -0700

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Hiago De Franco <hiagofranco@gmail.com>
Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
           Maytham Alsudany <maytham@debian.org>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               directx-headers-dev,
               libchafa-dev,
               libdbus-1-dev,
               libdconf-dev,
               libddcutil-dev,
               libdrm-dev,
               libegl-dev,
               libglx-dev,
               libmagickcore-dev,
               libnm-dev,
               libosmesa6-dev,
               libpulse-dev,
               librpm-dev,
               libsqlite3-dev,
               libvulkan-dev,
               libwayland-dev,
               libxcb-randr0-dev,
               libxfconf-0-dev,
               libxrandr-dev,
               libyyjson-dev,
               ocl-icd-opencl-dev,
               pkgconf
Standards-Version: 4.7.2
Homepage: https://github.com/fastfetch-cli/fastfetch
Vcs-Browser: https://salsa.debian.org/debian/fastfetch
Vcs-Git: https://salsa.debian.org/debian/fastfetch.git

Package: fastfetch
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: neofetch-like tool for fetching system information
 Fastfetch is a neofetch-like tool for fetching system information and
 displaying them in a pretty way. It is written mainly in C, with
 performance and customizability in mind.

## fastfetch 2.40.4+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.12.0) # target_link_libraries with OBJECT libs & project homepage url
 
 project(fastfetch
-    VERSION 2.39.1
+    VERSION 2.40.4
     LANGUAGES C
     DESCRIPTION "Fast neofetch-like system information tool"
     HOMEPAGE_URL "https://github.com/fastfetch-cli/fastfetch"

=== debian/changelog ===
fastfetch (2.40.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.40.4+dfsg

 -- Hiago De Franco <hiagofranco@gmail.com>  Sun, 13 Apr 2025 19:01:17 -0300

fastfetch (2.39.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.39.1+dfsg

 -- Hiago De Franco <hiagofranco@gmail.com>  Tue, 01 Apr 2025 18:52:11 -0300

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: Hiago De Franco <hiagofranco@gmail.com>
Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
           Maytham Alsudany <maytham@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 directx-headers-dev,
 libchafa-dev,
 libdbus-1-dev,
 libdconf-dev,
 libddcutil-dev,
 libdrm-dev,
 libegl-dev,
 libglx-dev,
 libmagickcore-dev,
 libnm-dev,
 libosmesa6-dev,
 libpulse-dev,
 librpm-dev,
 libsqlite3-dev,
 libvulkan-dev,
 libwayland-dev,
 libxcb-randr0-dev,
 libxfconf-0-dev,
 libxrandr-dev,
 libyyjson-dev,
 ocl-icd-opencl-dev,
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://github.com/fastfetch-cli/fastfetch
Vcs-Browser: https://salsa.debian.org/debian/fastfetch
Vcs-Git: https://salsa.debian.org/debian/fastfetch.git

Package: fastfetch
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: neofetch-like tool for fetching system information
 Fastfetch is a neofetch-like tool for fetching system information and
 displaying them in a pretty way. It is written mainly in C, with
 performance and customizability in mind.

## fastfetch 2.40.4+dfsg-1trisquel1

=== debian/changelog ===
fastfetch (2.40.4+dfsg-1trisquel1) ecne-backports; urgency=medium

  * Backported to get latest version into Trisquel.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Apr 2025 06:46:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: fastfetch
 Section: utils
 Priority: optional
-Maintainer: Hiago De Franco <hiagofranco@gmail.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
            Maytham Alsudany <maytham@debian.org>,
 Rules-Requires-Root: no

## fastfetch 2.45.0%2Bdfsg

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Hiago De Franco <hiagofranco@gmail.com>
Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
           Maytham Alsudany <maytham@debian.org>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               directx-headers-dev,
               libchafa-dev,
               libdbus-1-dev,
               libdconf-dev,
               libddcutil-dev,
               libdrm-dev,
               libegl-dev,
               libelf-dev,
               libglx-dev,
               libmagickcore-dev,
               libpulse-dev,
               librpm-dev,
               libsqlite3-dev,
               libvulkan-dev,
               libwayland-dev,
               libxcb-randr0-dev,
               libxfconf-0-dev,
               libxrandr-dev,
               libyyjson-dev,
               ocl-icd-opencl-dev,
               pkgconf
Standards-Version: 4.7.2
Homepage: https://github.com/fastfetch-cli/fastfetch
Vcs-Browser: https://salsa.debian.org/debian/fastfetch
Vcs-Git: https://salsa.debian.org/debian/fastfetch.git

Package: fastfetch
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: neofetch-like tool for fetching system information
 Fastfetch is a neofetch-like tool for fetching system information and
 displaying them in a pretty way. It is written mainly in C, with
 performance and customizability in mind.

## fastfetch 2.45.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.12.0) # target_link_libraries with OBJECT libs & project homepage url
 
 project(fastfetch
-    VERSION 2.40.4
+    VERSION 2.45.0
     LANGUAGES C
     DESCRIPTION "Fast neofetch-like system information tool"
     HOMEPAGE_URL "https://github.com/fastfetch-cli/fastfetch"
@@ -102,7 +102,7 @@
     message(FATAL_ERROR "BINARY_LINK_TYPE must be one of ${BINARY_LINK_TYPE_OPTIONS}")
 endif()
 
-set(PACKAGE_MANAGERS AM APK BREW CHOCO DPKG EMERGE EOPKG FLATPAK GUIX LINGLONG LPKG LPKGBUILD MACPORTS NIX OPKG PACMAN PACSTALL PALUDIS PISI PKG PKGTOOL RPM SCOOP SNAP SORCERY WINGET XBPS)
+set(PACKAGE_MANAGERS AM APK BREW CHOCO DPKG EMERGE EOPKG FLATPAK GUIX LINGLONG LPKG LPKGBUILD MACPORTS NIX OPKG PACMAN PACSTALL PALUDIS PISI PKG PKGTOOL RPM SCOOP SNAP SOAR SORCERY WINGET XBPS)
 foreach(package_manager ${PACKAGE_MANAGERS})
     if(package_manager STREQUAL "WINGET")
         option(PACKAGES_DISABLE_${package_manager} "Disable ${package_manager} package manager detection by default" ON)

=== debian/changelog ===
fastfetch (2.45.0+dfsg-0.1~mx25+1) mx; urgency=medium

  * New upstream version 2.45.0+dfsg

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Jun 2025 22:56:33 -0700

fastfetch (2.44.0+dfsg-1) experimental; urgency=medium

  * New upstream version 2.44.0+dfsg
  * update src/detection/gpu copyright: file gpu_asahi.h was replaced by
    asahi_drm.h, therefore the copyrights were updated accordingly.
  * update d/control: libosmesa6-dev and libnm-dev were dropped as
    dependencies in upstream (libosmesa6-dev feature dropped and libdbus-dev
    is used instead of libnm-dev), libelf-dev was added as new build
    dependency.

 -- Hiago De Franco <hiagofranco@gmail.com>  Mon, 26 May 2025 21:16:50 -0300

fastfetch (2.42.0+dfsg-1) experimental; urgency=medium

  * New upstream version 2.42.0+dfsg

 -- Hiago De Franco <hiagofranco@gmail.com>  Fri, 02 May 2025 09:44:44 -0300

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DSET_TWEAK=OFF \
        -DBUILD_TESTS=ON \
        -DENABLE_PROPRIETARY_GPU_DRIVER_API=OFF \
        -DENABLE_SYSTEM_YYJSON=ON \
		-DINSTALL_LICENSE=OFF \
		-DBUILD_FLASHFETCH=OFF

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## fastfetch 2.46.0+dfsg

=== debian/changelog ===
fastfetch (2.46.0+dfsg-1) experimental; urgency=medium

  * New upstream version 2.46.0+dfsg

 -- Hiago De Franco <hiagofranco@gmail.com>  Tue, 01 Jul 2025 13:10:04 -0300

fastfetch (2.45.0+dfsg-1) experimental; urgency=medium

  * New upstream version 2.45.0+dfsg

 -- Hiago De Franco <hiagofranco@gmail.com>  Wed, 18 Jun 2025 10:43:26 -0300

## fastfetch 2.47.0+dfsg

=== debian/changelog ===
fastfetch (2.47.0+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (2.47.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:36:14 +0100

fastfetch (2.46.0+dfsg-1ubuntu1) questing; urgency=medium

  * Merge from Debian Experimental. Remaining change:
    - Add a neofetch wrapper. This can be dropped after the next LTS.

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Jul 2025 05:09:32 +0100

fastfetch (2.46.0+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (2.46.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 20 Jun 2025 08:00:19 +0100

fastfetch (2.45.0+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (2.45.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Jun 2025 09:03:39 +0100

fastfetch (2.44.0+dfsg-1ubuntu1) questing; urgency=medium

  * Merge from Debian Experimental. Remaining change:
    - Add a neofetch wrapper. This can be dropped after the next LTS.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Jun 2025 08:35:25 +0100

fastfetch (2.40.4+dfsg-1ubuntu1) questing; urgency=medium

  * Merge from Debian Unstable. Remaining change:
    - Add a neofetch wrapper. This can be dropped after the next LTS.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 May 2025 12:38:14 +0100

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hiago De Franco <hiagofranco@gmail.com>
Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
           Maytham Alsudany <maytham@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 directx-headers-dev,
 libchafa-dev,
 libdbus-1-dev,
 libdconf-dev,
 libddcutil-dev,
 libdrm-dev,
 libegl-dev,
 libelf-dev,
 libglx-dev,
 libmagickcore-dev,
 libpulse-dev,
 librpm-dev,
 libsqlite3-dev,
 libvulkan-dev,
 libwayland-dev,
 libxcb-randr0-dev,
 libxfconf-0-dev,
 libxrandr-dev,
 libyyjson-dev,
 ocl-icd-opencl-dev,
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://github.com/fastfetch-cli/fastfetch
Vcs-Browser: https://salsa.debian.org/debian/fastfetch
Vcs-Git: https://salsa.debian.org/debian/fastfetch.git

Package: fastfetch
Architecture: any
Multi-Arch: foreign
Provides: neofetch
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: neofetch-like tool for fetching system information
 Fastfetch is a neofetch-like tool for fetching system information and
 displaying them in a pretty way. It is written mainly in C, with
 performance and customizability in mind.

## fastfetch 2.48.0+dfsg

=== debian/changelog ===
fastfetch (2.48.0+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (2.48.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Jul 2025 08:47:57 +0100

## fastfetch 2.48.1+dfsg

=== debian/changelog ===
fastfetch (2.48.1+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (2.48.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Jul 2025 13:11:15 +0100

## fastfetch 2.49.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.12.0) # target_link_libraries with OBJECT libs & project homepage url
 
 project(fastfetch
-    VERSION 2.45.0
+    VERSION 2.49.0
     LANGUAGES C
     DESCRIPTION "Fast neofetch-like system information tool"
     HOMEPAGE_URL "https://github.com/fastfetch-cli/fastfetch"
@@ -61,7 +61,7 @@
 cmake_dependent_option(ENABLE_XCB_RANDR "Enable xcb-randr" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
 cmake_dependent_option(ENABLE_XRANDR "Enable xrandr" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
 cmake_dependent_option(ENABLE_DRM "Enable libdrm" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
-cmake_dependent_option(ENABLE_DRM_AMDGPU "Enable libdrm_amdgpu" ON "LINUX" OFF)
+cmake_dependent_option(ENABLE_DRM_AMDGPU "Enable libdrm_amdgpu" ON "LINUX OR FreeBSD" OFF)
 cmake_dependent_option(ENABLE_GIO "Enable gio-2.0" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
 cmake_dependent_option(ENABLE_DCONF "Enable dconf" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
 cmake_dependent_option(ENABLE_DBUS "Enable dbus-1" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS OR Haiku" OFF)
@@ -76,13 +76,13 @@
 cmake_dependent_option(ENABLE_GLX "Enable glx" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR SunOS" OFF)
 cmake_dependent_option(ENABLE_OPENCL "Enable opencl" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR WIN32 OR ANDROID OR SunOS OR Haiku" OFF)
 cmake_dependent_option(ENABLE_FREETYPE "Enable freetype" ON "ANDROID" OFF)
-cmake_dependent_option(ENABLE_PULSE "Enable pulse" ON "LINUX OR SunOS" OFF)
+cmake_dependent_option(ENABLE_PULSE "Enable pulse" ON "LINUX" OFF)
 cmake_dependent_option(ENABLE_DDCUTIL "Enable ddcutil" ON "LINUX" OFF)
 cmake_dependent_option(ENABLE_DIRECTX_HEADERS "Enable DirectX headers for WSL" ON "LINUX" OFF)
 cmake_dependent_option(ENABLE_ELF "Enable libelf" ON "LINUX OR ANDROID OR DragonFly OR Haiku" OFF)
 cmake_dependent_option(ENABLE_THREADS "Enable multithreading" ON "Threads_FOUND" OFF)
 cmake_dependent_option(ENABLE_LIBZFS "Enable libzfs" ON "LINUX OR FreeBSD OR SunOS" OFF)
-cmake_dependent_option(ENABLE_PCIACCESS "Enable libpciaccess" ON "NetBSD OR OpenBSD OR SunOS" OFF)
+cmake_dependent_option(ENABLE_PCIACCESS "Enable libpciaccess" ON "NetBSD OR OpenBSD" OFF)
 
 option(ENABLE_SYSTEM_YYJSON "Use system provided (instead of fastfetch embedded) yyjson library" OFF)
 option(ENABLE_ASAN "Build fastfetch with ASAN (address sanitizer)" OFF)

=== debian/changelog ===
fastfetch (2.49.0+dfsg-1) experimental; urgency=medium

  * New upstream version 2.49.0+dfsg
  * d/copyright: update copyright with new file

 -- Hiago De Franco <hiagofranco@gmail.com>  Fri, 01 Aug 2025 12:40:50 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fastfetch
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hiago De Franco <hiagofranco@gmail.com>
+Maintainer: Hiago De Franco <hiagofranco@gmail.com>
 Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
            Maytham Alsudany <maytham@debian.org>,
 Rules-Requires-Root: no
@@ -38,7 +37,6 @@
 Package: fastfetch
 Architecture: any
 Multi-Arch: foreign
-Provides: neofetch
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},

## fastfetch 2.50.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.12.0) # target_link_libraries with OBJECT libs & project homepage url
 
 project(fastfetch
-    VERSION 2.49.0
+    VERSION 2.50.2
     LANGUAGES C
     DESCRIPTION "Fast neofetch-like system information tool"
     HOMEPAGE_URL "https://github.com/fastfetch-cli/fastfetch"

=== debian/changelog ===
fastfetch (2.50.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.50.2+dfsg

 -- Hiago De Franco <hiagofranco@gmail.com>  Sat, 16 Aug 2025 15:03:47 -0300

## fastfetch 2.53.0+dfsg

=== debian/changelog ===
fastfetch (2.53.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.53.0+dfsg

  [ Andre Paiusco ]
  * d/rules: Add CMAKE_BUILD_TYPE (Closes: #1110975)
  * d/rules: Remove deprecated flag and disable unused pkg managers

  [ Hiago De Franco ]
  * d/control: skip libddcutil-dev for hurd build. Fastfetch should now also
    work on Debian Hurd, however this package is not available there. Skip it
    for Hurd builds.

  [ Carlos Henrique Lima Melara ]
  * d/control: do not install libwayland-dev on hurd. (Closes: #1116390)

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Thu, 02 Oct 2025 23:38:33 -0300

## fastfetch 2.54.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,24 @@
 cmake_minimum_required(VERSION 3.12.0) # target_link_libraries with OBJECT libs & project homepage url
 
 project(fastfetch
-    VERSION 2.50.2
+    VERSION 2.54.0
     LANGUAGES C
     DESCRIPTION "Fast neofetch-like system information tool"
     HOMEPAGE_URL "https://github.com/fastfetch-cli/fastfetch"
 )
 
 set(PROJECT_LICENSE "MIT license")
+
+if(DEFINED CMAKE_SYSTEM_PROCESSOR_OVERRIDE) # Used by github actions for i686 build
+    set(CMAKE_SYSTEM_PROCESSOR ${CMAKE_SYSTEM_PROCESSOR_OVERRIDE} CACHE INTERNAL "")
+endif()
+string(TOLOWER "${CMAKE_SYSTEM_PROCESSOR}" CMAKE_SYSTEM_PROCESSOR)
+if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
+    set(CMAKE_SYSTEM_PROCESSOR "amd64")
+elseif(CMAKE_SYSTEM_PROCESSOR STREQUAL "arm64")
+    set(CMAKE_SYSTEM_PROCESSOR "aarch64")
+endif()
+message(STATUS "Build for system processor: ${CMAKE_SYSTEM_PROCESSOR}")
 
 ###################
 # Target Platform #
@@ -32,6 +43,8 @@
     set(SunOS TRUE CACHE BOOL "..." FORCE)
 elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "Haiku")
     set(Haiku TRUE CACHE BOOL "..." FORCE)
+elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "GNU")
+    set(GNU TRUE CACHE BOOL "..." FORCE)
 elseif(NOT APPLE AND NOT WIN32)
     message(FATAL_ERROR "Unsupported platform: ${CMAKE_SYSTEM_NAME}")
 endif()
@@ -56,34 +69,33 @@
 
 include(CMakeDependentOption)
 
-cmake_dependent_option(ENABLE_VULKAN "Enable vulkan" ON "LINUX OR APPLE OR FreeBSD OR OpenBSD OR NetBSD OR WIN32 OR ANDROID OR SunOS OR Haiku" OFF)
-cmake_dependent_option(ENABLE_WAYLAND "Enable wayland-client" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD" OFF)
-cmake_dependent_option(ENABLE_XCB_RANDR "Enable xcb-randr" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
-cmake_dependent_option(ENABLE_XRANDR "Enable xrandr" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
-cmake_dependent_option(ENABLE_DRM "Enable libdrm" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
-cmake_dependent_option(ENABLE_DRM_AMDGPU "Enable libdrm_amdgpu" ON "LINUX OR FreeBSD" OFF)
-cmake_dependent_option(ENABLE_GIO "Enable gio-2.0" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
-cmake_dependent_option(ENABLE_DCONF "Enable dconf" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
-cmake_dependent_option(ENABLE_DBUS "Enable dbus-1" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS OR Haiku" OFF)
-cmake_dependent_option(ENABLE_XFCONF "Enable libxfconf-0" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
-cmake_dependent_option(ENABLE_SQLITE3 "Enable sqlite3" ON "LINUX OR FreeBSD OR APPLE OR OpenBSD OR NetBSD OR SunOS" OFF)
-cmake_dependent_option(ENABLE_RPM "Enable rpm" ON "LINUX" OFF)
-cmake_dependent_option(ENABLE_IMAGEMAGICK7 "Enable imagemagick 7" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR APPLE OR WIN32 OR SunOS OR Haiku" OFF)
-cmake_dependent_option(ENABLE_IMAGEMAGICK6 "Enable imagemagick 6" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR APPLE OR SunOS" OFF)
+cmake_dependent_option(ENABLE_VULKAN "Enable vulkan" ON "LINUX OR APPLE OR FreeBSD OR OpenBSD OR NetBSD OR WIN32 OR ANDROID OR SunOS OR Haiku OR GNU" OFF)
+cmake_dependent_option(ENABLE_WAYLAND "Enable wayland-client" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR GNU" OFF)
+cmake_dependent_option(ENABLE_XCB_RANDR "Enable xcb-randr" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR SunOS OR GNU" OFF)
+cmake_dependent_option(ENABLE_XRANDR "Enable xrandr" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR SunOS OR GNU" OFF)
+cmake_dependent_option(ENABLE_DRM "Enable libdrm" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS OR GNU" OFF)
+cmake_dependent_option(ENABLE_DRM_AMDGPU "Enable libdrm_amdgpu" ON "LINUX OR FreeBSD OR GNU" OFF)
+cmake_dependent_option(ENABLE_GIO "Enable gio-2.0" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR SunOS OR GNU" OFF)
+cmake_dependent_option(ENABLE_DCONF "Enable dconf" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR SunOS OR GNU" OFF)
+cmake_dependent_option(ENABLE_DBUS "Enable dbus-1" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR SunOS OR Haiku OR GNU" OFF)
+cmake_dependent_option(ENABLE_SQLITE3 "Enable sqlite3" ON "LINUX OR FreeBSD OR APPLE OR OpenBSD OR NetBSD OR SunOS OR GNU" OFF)
+cmake_dependent_option(ENABLE_RPM "Enable rpm" ON "LINUX OR GNU" OFF)
+cmake_dependent_option(ENABLE_IMAGEMAGICK7 "Enable imagemagick 7" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR APPLE OR ANDROID OR WIN32 OR SunOS OR Haiku OR GNU" OFF)
+cmake_dependent_option(ENABLE_IMAGEMAGICK6 "Enable imagemagick 6" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR APPLE OR SunOS OR GNU" OFF)
 cmake_dependent_option(ENABLE_CHAFA "Enable chafa" ON "ENABLE_IMAGEMAGICK6 OR ENABLE_IMAGEMAGICK7" OFF)
-cmake_dependent_option(ENABLE_ZLIB "Enable zlib" ON "ENABLE_IMAGEMAGICK6 OR ENABLE_IMAGEMAGICK7" OFF)
-cmake_dependent_option(ENABLE_EGL "Enable egl" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR WIN32 OR SunOS OR Haiku" OFF)
-cmake_dependent_option(ENABLE_GLX "Enable glx" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR SunOS" OFF)
-cmake_dependent_option(ENABLE_OPENCL "Enable opencl" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR WIN32 OR ANDROID OR SunOS OR Haiku" OFF)
+cmake_dependent_option(ENABLE_EGL "Enable egl" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR WIN32 OR SunOS OR Haiku OR GNU" OFF)
+cmake_dependent_option(ENABLE_GLX "Enable glx" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR SunOS OR GNU" OFF)
+cmake_dependent_option(ENABLE_OPENCL "Enable opencl" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR WIN32 OR ANDROID OR SunOS OR Haiku OR GNU" OFF)
 cmake_dependent_option(ENABLE_FREETYPE "Enable freetype" ON "ANDROID" OFF)
-cmake_dependent_option(ENABLE_PULSE "Enable pulse" ON "LINUX" OFF)
+cmake_dependent_option(ENABLE_PULSE "Enable pulse" ON "LINUX OR ANDROID OR GNU" OFF)
 cmake_dependent_option(ENABLE_DDCUTIL "Enable ddcutil" ON "LINUX" OFF)
 cmake_dependent_option(ENABLE_DIRECTX_HEADERS "Enable DirectX headers for WSL" ON "LINUX" OFF)
-cmake_dependent_option(ENABLE_ELF "Enable libelf" ON "LINUX OR ANDROID OR DragonFly OR Haiku" OFF)
+cmake_dependent_option(ENABLE_ELF "Enable libelf" ON "LINUX OR ANDROID OR DragonFly OR Haiku OR GNU" OFF)
 cmake_dependent_option(ENABLE_THREADS "Enable multithreading" ON "Threads_FOUND" OFF)
 cmake_dependent_option(ENABLE_LIBZFS "Enable libzfs" ON "LINUX OR FreeBSD OR SunOS" OFF)
 cmake_dependent_option(ENABLE_PCIACCESS "Enable libpciaccess" ON "NetBSD OR OpenBSD" OFF)
 
+option(ENABLE_ZLIB "Enable zlib" ON)
 option(ENABLE_SYSTEM_YYJSON "Use system provided (instead of fastfetch embedded) yyjson library" OFF)
 option(ENABLE_ASAN "Build fastfetch with ASAN (address sanitizer)" OFF)
 option(ENABLE_LTO "Enable link-time optimization in release mode if supported" ON)
@@ -94,6 +106,7 @@
 option(INSTALL_LICENSE "Install license into /usr/share/licenses" ON)
 option(ENABLE_EMBEDDED_PCIIDS "Embed pci.ids into fastfetch, requires `python`" OFF)
 option(ENABLE_EMBEDDED_AMDGPUIDS "Embed amdgpu.ids into fastfetch, requires `python`" OFF)
+option(ENABLE_WORDEXP "Enable using of wordexp(3) if available, instead of glob(3)" ON)
 
 set(BINARY_LINK_TYPE_OPTIONS dlopen dynamic static)
 set(BINARY_LINK_TYPE dlopen CACHE STRING "How to link fastfetch")
@@ -253,19 +266,3 @@
     file(READ "${FILENAME}" TEMP)
     fastfetch_encode_c_string("${TEMP}" TEMP)
     set(${OUTVAR} "${TEMP}" PARENT_SCOPE)
-endfunction(fastfetch_load_text)
-
-find_package(Python)
-if(Python_FOUND)
-    message(STATUS "Minifying 'help.json'")
-    execute_process(COMMAND ${Python_EXECUTABLE} -c "import json,sys;json.dump(json.load(sys.stdin),sys.stdout,separators=(',',':'))"
-                    INPUT_FILE "${CMAKE_CURRENT_SOURCE_DIR}/src/data/help.json"
-                    OUTPUT_VARIABLE DATATEXT_JSON_HELP)
-    if(DATATEXT_JSON_HELP STREQUAL "")
-        message(ERROR "DATATEXT_JSON_HELP is empty, which should not happen!")
-    endif()
-else()
-    message(WARNING "Python3 is not found, 'help.json' will not be minified")
-    file(READ "src/data/help.json" DATATEXT_JSON_HELP)
-endif()
-

=== debian/changelog ===
fastfetch (2.54.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.54.0+dfsg

 -- Hiago De Franco <hiagofranco@gmail.com>  Tue, 21 Oct 2025 22:17:31 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libchafa-dev,
  libdbus-1-dev,
  libdconf-dev,
- libddcutil-dev,
+ libddcutil-dev [!hurd-any],
  libdrm-dev,
  libegl-dev,
  libelf-dev,
@@ -22,7 +22,7 @@
  librpm-dev,
  libsqlite3-dev,
  libvulkan-dev,
- libwayland-dev,
+ libwayland-dev [!hurd-any],
  libxcb-randr0-dev,
  libxfconf-0-dev,
  libxrandr-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DSET_TWEAK=OFF \
		-DBUILD_TESTS=ON \
		-DENABLE_SYSTEM_YYJSON=ON \
		-DINSTALL_LICENSE=OFF \
		-DBUILD_FLASHFETCH=OFF \
		-DPACKAGES_DISABLE_CHOCO='ON' \
		-DPACKAGES_DISABLE_EMERGE='ON' \
		-DPACKAGES_DISABLE_EOPKG='ON' \
		-DPACKAGES_DISABLE_LPKG='ON' \
		-DPACKAGES_DISABLE_LPKGBUILD='ON' \
		-DPACKAGES_DISABLE_MACPORTS='ON' \
		-DPACKAGES_DISABLE_OPKG='ON' \
		-DPACKAGES_DISABLE_PACMAN='ON' \
		-DPACKAGES_DISABLE_PACSTALL='ON' \
		-DPACKAGES_DISABLE_PALUDIS='ON' \
		-DPACKAGES_DISABLE_PISI='ON' \
		-DPACKAGES_DISABLE_PKG='ON' \
		-DPACKAGES_DISABLE_PKGTOOL='ON' \
		-DPACKAGES_DISABLE_SORCERY='ON' \
		-DPACKAGES_DISABLE_XBPS='ON' \

=== debian/tests/control ===
Test-Command: fastfetch | grep "OS:"

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,\
      repacksuffix=+dfsg,dversionmangle=auto" \
    https://github.com/fastfetch-cli/fastfetch/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## fastfetch 2.55.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.12.0) # target_link_libraries with OBJECT libs & project homepage url
 
 project(fastfetch
-    VERSION 2.54.0
+    VERSION 2.55.0
     LANGUAGES C
     DESCRIPTION "Fast neofetch-like system information tool"
     HOMEPAGE_URL "https://github.com/fastfetch-cli/fastfetch"
@@ -93,7 +93,7 @@
 cmake_dependent_option(ENABLE_ELF "Enable libelf" ON "LINUX OR ANDROID OR DragonFly OR Haiku OR GNU" OFF)
 cmake_dependent_option(ENABLE_THREADS "Enable multithreading" ON "Threads_FOUND" OFF)
 cmake_dependent_option(ENABLE_LIBZFS "Enable libzfs" ON "LINUX OR FreeBSD OR SunOS" OFF)
-cmake_dependent_option(ENABLE_PCIACCESS "Enable libpciaccess" ON "NetBSD OR OpenBSD" OFF)
+cmake_dependent_option(ENABLE_PCIACCESS "Enable libpciaccess" ON "GNU" OFF)
 
 option(ENABLE_ZLIB "Enable zlib" ON)
 option(ENABLE_SYSTEM_YYJSON "Use system provided (instead of fastfetch embedded) yyjson library" OFF)
@@ -266,3 +266,5 @@
     file(READ "${FILENAME}" TEMP)
     fastfetch_encode_c_string("${TEMP}" TEMP)
     set(${OUTVAR} "${TEMP}" PARENT_SCOPE)
+endfunction(fastfetch_load_text)
+

=== debian/changelog ===
fastfetch (2.55.0+dfsg-0ubuntu1) resolute; urgency=medium

  * New upstream release (2.55.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Nov 2025 10:54:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fastfetch
 Section: utils
 Priority: optional
-Maintainer: Hiago De Franco <hiagofranco@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hiago De Franco <hiagofranco@gmail.com>
 Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
            Maytham Alsudany <maytham@debian.org>,
 Rules-Requires-Root: no

## fastfetch 2.55.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.12.0) # target_link_libraries with OBJECT libs & project homepage url
 
 project(fastfetch
-    VERSION 2.55.0
+    VERSION 2.55.1
     LANGUAGES C
     DESCRIPTION "Fast neofetch-like system information tool"
     HOMEPAGE_URL "https://github.com/fastfetch-cli/fastfetch"

=== debian/changelog ===
fastfetch (2.55.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.55.1+dfsg
  * d/control: update Hiago's email
  * d/gbp.conf: enable pristine-tar as default

 -- Hiago De Franco <hiago@defranco.dev.br>  Mon, 17 Nov 2025 17:21:25 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fastfetch
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hiago De Franco <hiagofranco@gmail.com>
+Maintainer: Hiago De Franco <hiago@defranco.dev.br>
 Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
            Maytham Alsudany <maytham@debian.org>,
 Rules-Requires-Root: no

## fastfetch 2.56.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.12.0) # target_link_libraries with OBJECT libs & project homepage url
 
 project(fastfetch
-    VERSION 2.55.1
+    VERSION 2.56.0
     LANGUAGES C
     DESCRIPTION "Fast neofetch-like system information tool"
     HOMEPAGE_URL "https://github.com/fastfetch-cli/fastfetch"
@@ -92,7 +92,6 @@
 cmake_dependent_option(ENABLE_DIRECTX_HEADERS "Enable DirectX headers for WSL" ON "LINUX" OFF)
 cmake_dependent_option(ENABLE_ELF "Enable libelf" ON "LINUX OR ANDROID OR DragonFly OR Haiku OR GNU" OFF)
 cmake_dependent_option(ENABLE_THREADS "Enable multithreading" ON "Threads_FOUND" OFF)
-cmake_dependent_option(ENABLE_LIBZFS "Enable libzfs" ON "LINUX OR FreeBSD OR SunOS" OFF)
 cmake_dependent_option(ENABLE_PCIACCESS "Enable libpciaccess" ON "GNU" OFF)
 
 option(ENABLE_ZLIB "Enable zlib" ON)
@@ -107,6 +106,7 @@
 option(ENABLE_EMBEDDED_PCIIDS "Embed pci.ids into fastfetch, requires `python`" OFF)
 option(ENABLE_EMBEDDED_AMDGPUIDS "Embed amdgpu.ids into fastfetch, requires `python`" OFF)
 option(ENABLE_WORDEXP "Enable using of wordexp(3) if available, instead of glob(3)" ON)
+option(ENABLE_LIBZFS "Enable libzfs" ON)
 
 set(BINARY_LINK_TYPE_OPTIONS dlopen dynamic static)
 set(BINARY_LINK_TYPE dlopen CACHE STRING "How to link fastfetch")
@@ -268,3 +268,5 @@
     set(${OUTVAR} "${TEMP}" PARENT_SCOPE)
 endfunction(fastfetch_load_text)
 
+find_package(Python)
+if(Python_FOUND)

=== debian/changelog ===
fastfetch (2.56.0+dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Specify minimum version of system yyjson BD necessary to prevent FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 12 Dec 2025 21:26:45 -0800

fastfetch (2.56.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.56.0+dfsg

 -- Hiago De Franco <hiago@defranco.dev.br>  Wed, 10 Dec 2025 17:43:12 -0300

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Hiago De Franco <hiago@defranco.dev.br>
Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
           Maytham Alsudany <maytham@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               cmake,
               directx-headers-dev,
               libchafa-dev,
               libdbus-1-dev,
               libdconf-dev,
               libddcutil-dev [!hurd-any],
               libdrm-dev,
               libegl-dev,
               libelf-dev,
               libglx-dev,
               libmagickcore-dev,
               libpulse-dev,
               librpm-dev,
               libsqlite3-dev,
               libvulkan-dev,
               libwayland-dev [!hurd-any],
               libxcb-randr0-dev,
               libxfconf-0-dev,
               libxrandr-dev,
               libyyjson-dev ( >= 0.12.0~),
               ocl-icd-opencl-dev,
               pkgconf
Standards-Version: 4.7.2
Homepage: https://github.com/fastfetch-cli/fastfetch
Vcs-Browser: https://salsa.debian.org/debian/fastfetch
Vcs-Git: https://salsa.debian.org/debian/fastfetch.git

Package: fastfetch
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: neofetch-like tool for fetching system information
 Fastfetch is a neofetch-like tool for fetching system information and
 displaying them in a pretty way. It is written mainly in C, with
 performance and customizability in mind.

## fastfetch 2.57.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.12.0) # target_link_libraries with OBJECT libs & project homepage url
 
 project(fastfetch
-    VERSION 2.56.0
+    VERSION 2.57.1
     LANGUAGES C
     DESCRIPTION "Fast neofetch-like system information tool"
     HOMEPAGE_URL "https://github.com/fastfetch-cli/fastfetch"
@@ -107,6 +107,9 @@
 option(ENABLE_EMBEDDED_AMDGPUIDS "Embed amdgpu.ids into fastfetch, requires `python`" OFF)
 option(ENABLE_WORDEXP "Enable using of wordexp(3) if available, instead of glob(3)" ON)
 option(ENABLE_LIBZFS "Enable libzfs" ON)
+if(WIN32 AND NOT CMAKE_SYSTEM_PROCESSOR STREQUAL "aarch64")
+    option(ENABLE_WIN7_COMPAT "Enable Windows 7 compatibility" ON)
+endif()
 
 set(BINARY_LINK_TYPE_OPTIONS dlopen dynamic static)
 set(BINARY_LINK_TYPE dlopen CACHE STRING "How to link fastfetch")
@@ -161,7 +164,13 @@
 endif()
 
 if(WIN32)
-    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--tsaware -Wl,--build-id -Wl,--subsystem,console:6.1,--major-os-version,6,--minor-os-version,1")
+    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--tsaware -Wl,--build-id")
+
+    if(ENABLE_WIN7_COMPAT)
+        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--subsystem,console,--major-os-version,6,--minor-os-version,1")
+    else()
+        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--subsystem,console,--major-os-version,10,--minor-os-version,0")
+    endif()
 elseif(APPLE AND CMAKE_C_COMPILER_ID MATCHES "Clang")
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fobjc-arc")
 endif()
@@ -258,15 +267,3 @@
     string(REGEX REPLACE "\n$" "" TEMP "${STR}")  # Remove trailing newline
     string(REPLACE "\\" "\\\\" TEMP "${TEMP}")    # Escape backslashes
     string(REPLACE "\n" "\\n" TEMP "${TEMP}")     # Replace newlines with \n
-    string(REPLACE "\"" "\\\"" TEMP "${TEMP}")    # Replace quotes with \"
-    set(${OUTVAR} "\"${TEMP}\"" PARENT_SCOPE)
-endfunction(fastfetch_encode_c_string)
-
-function(fastfetch_load_text FILENAME OUTVAR)
-    file(READ "${FILENAME}" TEMP)
-    fastfetch_encode_c_string("${TEMP}" TEMP)
-    set(${OUTVAR} "${TEMP}" PARENT_SCOPE)
-endfunction(fastfetch_load_text)
-
-find_package(Python)
-if(Python_FOUND)

=== debian/changelog ===
fastfetch (2.57.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.57.1+dfsg

 -- Hiago De Franco <hiago@defranco.dev.br>  Wed, 14 Jan 2026 09:57:55 -0300

## fastfetch 2.58.0+dfsg

=== debian/changelog ===
fastfetch (2.58.0+dfsg-0.1~mx25) mx; urgency=medium

  * New upstream version 2.58.0+dfsg
  * d/control: set minver of libyyjson-dev BD

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Jan 2026 20:18:45 -0800

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,8 @@
 		-DPACKAGES_DISABLE_PKGTOOL='ON' \
 		-DPACKAGES_DISABLE_SORCERY='ON' \
 		-DPACKAGES_DISABLE_XBPS='ON' \
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
